// /home/harris/Projects/FuriusIsoMounter/FuriusIsoMount/MessageBox.cs created with MonoDevelop
// User: harris at 18:34 07/01/2008
//
// To change standard headers go to Edit->Preferences->Coding->Standard Headers
//

using System;
using Gtk;

namespace FuriusIsoMount
{
	/// <summary>
    /// Helper class for the Gtk.MessageDialog
    /// </summary>
	public static class MessageBox
	{
				
		/// <summary>
        /// Shows a message box
        /// </summary>
		/// <param name="parentWindow">The Parent Window</param>
		/// <param name="message">The message to display</param>
		/// <param name="messageType">MessageType i.e. error, info, question</param>
		public static void Show (Window parentWindow, string message, MessageType messageType)
		{
			Dialog dialog = new MessageDialog (parentWindow, 
			                                   DialogFlags.Modal, 
			                                   messageType, 
			                                   ButtonsType.Ok, message);
			dialog.SetDefaultSize (300,100);
			dialog.Modal = true;
			dialog.Run ();
			dialog.Destroy ();
		}
		
		/// <summary>
        /// Shows a message box
        /// </summary>
		/// <param name="parentWindow">The Parent Window</param>
		/// <param name="message">The message to display</param>
		/// <param name="messageType">MessageType i.e. error, info, question</param>
		/// <param name="buttonsType">ButtonsType i.e. YesNo, Cancel</param>
		public static ResponseType Show (Window parentWindow, string message, MessageType messageType, ButtonsType buttonsType)
		{
			MessageDialog dialog = new MessageDialog (parentWindow, 
                                      DialogFlags.DestroyWithParent,
			                          messageType, 
                                      buttonsType, message);			     
			ResponseType result = (ResponseType)dialog.Run ();
			dialog.Destroy();
			return result;
		}
		
	}
}
